<?php


function contentraccoon_get_post_types() {
	

	$post_types = [
 		"blog_post" => [
			"label" => "Blog Post",
			"description" => "A general overview of a topic or event",
		],
		"product_review" => [
			"label" => "Product Review",
			"description" => "An evaluation of a product",
		],
		"product_positive_review" => [
			"label" => "Positive Product Review (Pros Only)",
			"description" => "A review of a product, highlighting only the positive aspects",
		], 
		"service_review" => [
			"label" => "Service Review (Pros&Cons)",
			"description" => "A review of a service, including both pros and cons",
		],
		"positive_service_review" => [
			"label" => "Positive Service Review (Pros Only)",
			"description" => "A review of a service, highlighting only the positive aspects",
		],
		"market_analysis" => [
			"label" => "Market Analysis",
			"description" => "An examination of market trends and data for a particular industry or product",
		],
		"recipe" => [
			"label" => "Recipe",
			"description" => "Instructions for preparing a dish or meal",
		],
		"historical_review" => [
			"label" => "Historical Review",
			"description" => "An examination of a historical event and its impact and significance",
		],
		"travel_guide" => [
			"label" => "Travel Guide",
			"description" => "Information and recommendations for traveling to a specific destination",
		],  
		"how_to_guide" => [
			"label" => "How-to guide",
			"description" => "Step by step instructions on how to complete a task or achieve a goal",
		],
		"listicle" => [
			"label" => "Listicle",
			"description" => "A list of items or tips related to a specific topic",
		],
		"news_article" => [
			"label" => "News Article",
			"description" => "A report on current events or recent developments",
		],
		"case_study" => [
			"label" => "Case Study",
			"description" => "A detailed analysis of a specific situation or problem",
		],
		"personal_essay" => [
			"label" => "Personal Essay",
			"description" => "A piece that provides a personal perspective on a specific topic, often including the author's experiences and opinions."
		],
		"op_ed" => [
			"label" => "Op-Ed",
			"description" => "A piece that presents the author's opinion on a specific issue or topic, often intended to influence public opinion or policy."
		],
		"research_paper" => [
			"label" => "Research Paper",
			"description" => "An in-depth examination of a topic or problem",
		],
		"opinion_piece" => [
			"label" => "Opinion Piece",
			"description" => "An article expressing an individual's point of view on a particular topic",
		],
		"explainer" => [
			"label" => "Explainer",
			"description" => "Informative and educational, providing detailed information on a specific topic",
		],
		"user_testimonials" => [
			"label" => "User Testimonials",
			"description" => "Personal stories and reviews from real users",
		],
		"travel_journal" => [
			"label" => "Travel Journal",
			"description" =>
				"Personal accounts and observations of a specific travel experience",
		],
		"financial_advice" => [
			"label" => "Financial Advice",
			"description" => "Tips and strategies for managing money and achieving financial goals",
		],
		"parenting_advice" => [
			"label" => "Parenting Advice",
			"description" => "Information and advice for parents on various topics related to raising children",
		],
		"career_advice" => [
			"label" => "Career Advice",
			"description" => "Strategies and tips for building a successful career",
		],
		"relationship_advice" => [
			"label" => "Relationship Advice",
			"description" => "Information and advice for building and maintaining healthy relationships",
		],
		"health_wellness_posts" => [
			"label" => "Health and Wellness Posts",
			"description" => "Information and tips for maintaining physical and mental well-being",
		],
		"nutrition_posts" => [
			"label" => "Nutrition Posts",
			"description" => "Information and advice for maintaining a healthy diet and lifestyle",
		],
		"environmental_posts" => [
			"label" => "Environmental Posts",
			"description" => "Information and tips for protecting the environment and promoting sustainability",
		],
		"luxury_travel_experiences" => [
			"label" => "Luxury Travel Experiences",
			"description" => "Detailed accounts of high-end travel experiences",
		],
		"solo_travel_experiences" => [
			"label" => "Solo Travel Experiences",
			"description" => "Personal accounts and observations of traveling alone",
		],
		"travel_scams" => [
			"label" => "Travel Scams",
			"description" => "Information and tips for avoiding common travel scams and frauds",
 		],
		"satire" => [
			"label" => "Satire",
			"description" => "An article or piece of literature that uses humor or irony to criticize or mock a subject",
		], 
	];
	
	
	return $post_types;
}
 

#add_action( 'admin_bar_menu', 'contentraccoon_add_admin_bar_link', 100 );
function contentraccoon_add_admin_bar_link( $wp_admin_bar ) {
    if ( ! current_user_can( 'manage_options' ) || !is_admin() ) {
        return;
    }
	$credits = get_option("contentraccoon_user_credits");
    $wp_admin_bar->add_menu( array(
        'id'    => 'contentraccoon-options-link',
        'title' => '<div class="header-logo"><span class="ia">C</span><span class="io">o</span><span class="ia">n</span><span class="io">t</span><span class="ia">e</span><span class="io">n</span><span class="ia">t</span><span class="io">R</span><span class="ia">a</span><span class="io">c</span><span class="ia">c</span><span class="io">o</span><span class="ia">o</span><span class="io">n</span></div> <div class="contentraccoon-creditcount">'.number_format($credits).'</div> <div>Credits</div>',
        'href'  => admin_url( 'options-general.php?page=contentraccoon' ),
        'meta'  => array( 'class' => 'contentraccoon-options-link' ),
    ) );
}



add_action( 'admin_menu', 'contentraccoon_settings_page' );
function contentraccoon_settings_page() {
    add_options_page(
        'ContentRaccoon Settings',
        'ContentRaccoon &#129437;',
        'manage_options',
        'contentraccoon',
        'contentraccoon_settings_page_render'
    );
}


